package org.rcisoft.core.util;

import org.rcisoft.core.model.JwtUser;
import org.rcisoft.sys.user.entity.SysUser;
import org.springframework.security.core.GrantedAuthority;

import java.util.ArrayList;

/**
 * Created by lcy on 17/11/21.
 */
public final class JwtUserFactory {
    private JwtUserFactory() {
    }

    /**
     * 创建JwtUser工厂
     */
    public static JwtUser create(SysUser user){
        return new JwtUser(
                user.getBusinessId(),
                user.getLoginName(),
                user.getPassword(),
                new ArrayList<GrantedAuthority>()
        );
    }

    /**
     * 讲User的List<SysRole>转换成JwtUser<GrantedAuthority>

    private static List<GrantedAuthority> map2GrantedAuthorities(List<SysRole> authorities){
        return authorities.stream()
                .map(e -> role2SimpleGrantedAuthority(e))
                .collect(Collectors.toList());
    }

    private static SimpleGrantedAuthority role2SimpleGrantedAuthority(SysRole role){
        return new SimpleGrantedAuthority(role.getName());
    }
     */
}
